Skip to main content
POST
/
v1
/
catalog
/
versions
/
draft
Create catalog draft
curl --request POST \
  --url https://api.hyperline.co/v1/catalog/versions/draft \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "<string>",
  "version": 123,
  "name": "<string>",
  "description": "<string>",
  "base_version_id": "<string>",
  "revert_of_version_id": "<string>",
  "source_file_name": "<string>",
  "resource_count": 123,
  "published_at": "2023-12-25",
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string | null
description
string | null

Response

id
string
required
version
number
required
status
enum<string>
required
Available options:
draft,
published,
archived
name
string | null
required
description
string | null
required
base_version_id
string | null
required
revert_of_version_id
string | null
required
source_file_name
string | null
required
resource_count
number | null
required
published_at
string<date> | null
required
created_at
string<date>
required
updated_at
string<date>
required